Package wx :: Class FindReplaceData

[frames | no frames]

## Type FindReplaceData

    object --+
             |
        Object --+
                 |
                FindReplaceData

wx.FindReplaceData holds the data for wx.FindReplaceDialog. It is used to initialize the dialog with the default values and will keep the last values from the dialog when it is closed. It is also updated each time a `wx.FindDialogEvent` is generated so instead of using the `wx.FindDialogEvent` methods you can also directly query this object.

Note that all SetXXX() methods may only be called before showing the dialog and calling them has no effect later.

# Flags

> wx.FR_DOWN | Downward search/replace selected (otherwise, upwards)
> wx.FR_WHOLEWORD | Whole word search/replace selected
> wx.FR_MATCHCASE | Case sensitive search/replace selected (otherwise, case insensitive)

Method Summary
FindReplaceData | ``__init__`(self, flags)` Constuctor initializes the flags to default value (0).
| `__del__(self)`
String | ``GetFindString`(self)` Get the string to find.
int | ``GetFlags`(self)` Get the combination of flag values.
String | ``GetReplaceString`(self)` Get the replacement string.
| ``SetFindString`(self, str)` Set the string to find (used as initial value by the dialog).
| ``SetFlags`(self, flags)` Set the flags to use to initialize the controls of the dialog.
| ``SetReplaceString`(self, str)` Set the replacement string (used as initial value by the dialog).

Property Summary
| `FindString`: See `GetFindString` and `SetFindString`
| `Flags`: See `GetFlags` and `SetFlags`
| `ReplaceString`: See `GetReplaceString` and `SetReplaceString`
| `thisown`: The membership flag

Method Details

### __init__(self, flags=0)
(Constructor)

Constuctor initializes the flags to default value (0).

  Parameters:
    `flags`
    (type=int)

  Returns:
    FindReplaceData
  Overrides:
    `wx.Object.__init__`

### GetFindString(self)

Get the string to find.

  Returns:
    String

### GetFlags(self)

Get the combination of flag values.

  Returns:
    int

### GetReplaceString(self)

Get the replacement string.

  Returns:
    String

### SetFindString(self, str)

Set the string to find (used as initial value by the dialog).

  Parameters:
    `str`
    (type=String)

### SetFlags(self, flags)

Set the flags to use to initialize the controls of the dialog.

  Parameters:
    `flags`
    (type=int)

### SetReplaceString(self, str)

Set the replacement string (used as initial value by the dialog).

  Parameters:
    `str`
    (type=String)

Property Details

### FindString

See `GetFindString` and `SetFindString`

  Get Method:
    `GetFindString`(self)
  Set Method:
    `SetFindString`(self, str)

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### ReplaceString

See `GetReplaceString` and `SetReplaceString`

  Get Method:
    `GetReplaceString`(self)
  Set Method:
    `SetReplaceString`(self, str)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:17 2007 | http://epydoc.sf.net